Package org.eclipse.viatra.query.patternlanguage.emf.validation

## Class PatternSetValidationDiagnostics

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.validation.PatternSetValidationDiagnostics

- All Implemented Interfaces:
    `org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.validation.Issue>`

      public final class PatternSetValidationDiagnostics
      extends java.lang.Object
      implements org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.validation.Issue>

  Stateless validator for a set of patterns. Used to validate patterns for editor-less environments.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternSetValidationDiagnostics()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(org.eclipse.xtext.validation.Issue issue)` |
    `java.util.Set<org.eclipse.xtext.validation.Issue>` | `getAllErrors()` |
    `java.util.Set<org.eclipse.xtext.validation.Issue>` | `getAllWarnings()` |
    `PatternValidationStatus` | `getStatus()` |
    `void` | `logAllMessages​(org.apache.log4j.Logger logger)` |
    `void` | `logErrors​(org.apache.log4j.Logger logger)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternSetValidationDiagnostics

          public PatternSetValidationDiagnostics()

  - ### Method Detail

    - #### accept

          public void accept​(org.eclipse.xtext.validation.Issue issue)

      Specified by:
        `accept` in interface `org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.validation.Issue>`

    - #### getStatus

          public PatternValidationStatus getStatus()

    - #### getAllErrors

          public java.util.Set<org.eclipse.xtext.validation.Issue> getAllErrors()

    - #### getAllWarnings

          public java.util.Set<org.eclipse.xtext.validation.Issue> getAllWarnings()

    - #### logErrors

          public void logErrors​(org.apache.log4j.Logger logger)

    - #### logAllMessages

          public void logAllMessages​(org.apache.log4j.Logger logger)